#ifndef _CONTOUR_ANALYSER_H
#define _CONTOUR_ANALYSER_H

#include "ofMain.h"

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXOPENCV

#include "ofAddons.h"

#include "cornerFinder.h"

#define MAX_LEN 1024

class contourAnalyser{
	
public:
	
	contourAnalyser();
	void smoothContour(ofxCvBlob blob, vector <ofxVec2f> & smoothedContour, float smoothAmnt);
	
	// this resamples to resampleAmount pts, these lines are not garuenteed to be equally spaced
	// it's a bit quirky, but been rewritten to do a vector in place. 
	void resampleContour(vector <ofxVec2f> &contour, int resampleAmount);
	
};

#endif


