#pragma once

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXXMLSETTINGS

#include "ofAddons.h"
#include "ofMain.h"

#include "baseCardScene.h"
#include "arPlane.h"
#include "ofxMidi.h"



class sonarResponder {
	
	public: 
	
	
	sonarResponder();
	
	int			id;
	int			whichCard;
	float		energy;
	ofPoint		center;
	bool		bMatchedThisFrame;
	ofPoint		cornerPts[4];
	ofPoint		sqPts[4];
	float		hitEnergy;
	float		hitEnergyTarget;

	void		update();
	void		startPlayback();
	
	bool		bAmInPlaybackMode;
	int			nNotesToPlay;
	float		durationToPlay;
	float		startTime;
	float		endTime;
	int			nPlayed;
	
	float		zTarget;
	float		zVal;
	
	

	
} ;


