#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){

    ofBackground(0,0,0);


    ofSetFrameRate(60);
    ofSetVerticalSync(true);

    CC.setup();

}

//--------------------------------------------------------------
void testApp::update(){


    static float timeLast = ofGetElapsedTimef();
    float dt = ofGetElapsedTimef() - timeLast;

    timeLast = ofGetElapsedTimef();

    for( int i = 0; i < OM.shapes.size(); i++)
    {
        if( CC.checkCardCollision(OM.shapes[i].points) )
            break;
    }

    CC.update();



}

//--------------------------------------------------------------
void testApp::draw(){

    OM.draw();
    CC.draw();


}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){

    switch(key)
    {
        case OF_KEY_DOWN:   CC.moveParticle( ofxVec3f(0,1,0) ); break;
        case OF_KEY_UP:     CC.moveParticle( ofxVec3f(0,-1,0) ); break;
        case OF_KEY_LEFT:   CC.moveParticle( ofxVec3f(-1,0,0) ); break;
        case OF_KEY_RIGHT:  CC.moveParticle( ofxVec3f(1,0,0) ); break;
    }


}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){


}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){


}

//--------------------------------------------------------------
void testApp::mouseReleased(){



}
